## Install SolusOS with software raid0 /home device

I don't know if this is correct or not, but it's working for me.
First, torrent the latest iso and write it to a thumb drive with ddrescue

```bash
ddrescue -D --force Solus-1.2.1.iso /dev/sdX
```

On my machine you can write the thumb drive using USB 3, but you have to
afterwards move the thumb drive over to a USB 2 port to uefi-boot. At boot
time on Asus X99 mobo, tap the f8 key for boot device menu, and select uefi-usb.

The SolusOS installer will insist on formatting the / partition, so back that up,
and then mdadm is not installed so you will have to install that.

```bash
eopkg install mdadm
```

If you need to create your software raid device, the [Arch Wiki](https://wiki.archlinux.org/index.php/RAID)
is a great resource, but you'll at least need to assemble the raid.

```bash
mdadm --assemble --scan
```

Now you can run the installer gui application, and select the raid device as your home partition. But
there is some additional configuration you'll need to do via chroot. Mount your / device and chroot into
it.

```bash
mount /dev/sdxY /mnt
```

or in case of nvme / device

```bash
mount /dev/nvme0n1p1 /mnt # (or similar)
```

and then perform chroot

```bash
chroot /mnt
```
and then install and set up mdadm

```bash
eopkg install mdadm
mdadm --detail --scan >> /etc/mdadm.conf
```

and then you might want to adjust fstab

```text
# UUID=0421c6.......dd6ecc7     /home   ext4    discard,rw,relatime,errors=remount-ro   0      2
UUID=0421c6.......dd6ecc7     /home   ext4    rw,relatime,stripe=256,data=ordered   0      2
```

There doesn't seem to be an `update-initramfs` commmand available, so not sure if raid / device is possible.
